#ifndef EFL_GFX_EO_HH
#define EFL_GFX_EO_HH
#include <Eo.h>

extern "C" {
#include "efl_gfx.eo.h"
}
#include <Eina.hh>
#include <Eo.hh>
namespace efl { 
struct Gfx;
} 
namespace efl { namespace eo { template<> struct is_eolian_object< ::efl::Gfx> : ::std::true_type {}; } }
namespace efl { 
struct Gfx;
} 

namespace eo_cxx {
namespace efl { 
struct Gfx {
   ::efl::eolian::return_traits<void>::type position_get( ::efl::eolian::out_traits<int>::type x,  ::efl::eolian::out_traits<int>::type y) const;
   ::efl::eolian::return_traits<void>::type position_set( ::efl::eolian::in_traits<int>::type x,  ::efl::eolian::in_traits<int>::type y) const;
   ::efl::eolian::return_traits<void>::type size_get( ::efl::eolian::out_traits<int>::type w,  ::efl::eolian::out_traits<int>::type h) const;
   ::efl::eolian::return_traits<void>::type size_set( ::efl::eolian::in_traits<int>::type w,  ::efl::eolian::in_traits<int>::type h) const;
   ::efl::eolian::return_traits<void>::type geometry_get( ::efl::eolian::out_traits<int>::type x,  ::efl::eolian::out_traits<int>::type y,  ::efl::eolian::out_traits<int>::type w,  ::efl::eolian::out_traits<int>::type h) const;
   ::efl::eolian::return_traits<void>::type geometry_set( ::efl::eolian::in_traits<int>::type x,  ::efl::eolian::in_traits<int>::type y,  ::efl::eolian::in_traits<int>::type w,  ::efl::eolian::in_traits<int>::type h) const;
   ::efl::eolian::return_traits<void>::type color_get( ::efl::eolian::out_traits<int>::type r,  ::efl::eolian::out_traits<int>::type g,  ::efl::eolian::out_traits<int>::type b,  ::efl::eolian::out_traits<int>::type a) const;
   ::efl::eolian::return_traits<void>::type color_set( ::efl::eolian::in_traits<int>::type r,  ::efl::eolian::in_traits<int>::type g,  ::efl::eolian::in_traits<int>::type b,  ::efl::eolian::in_traits<int>::type a) const;
   ::efl::eolian::return_traits<bool>::type color_part_get( ::efl::eolian::in_traits< ::efl::eina::string_view>::type part,  ::efl::eolian::out_traits<int>::type r,  ::efl::eolian::out_traits<int>::type g,  ::efl::eolian::out_traits<int>::type b,  ::efl::eolian::out_traits<int>::type a) const;
   ::efl::eolian::return_traits<bool>::type color_part_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type part,  ::efl::eolian::in_traits<int>::type r,  ::efl::eolian::in_traits<int>::type g,  ::efl::eolian::in_traits<int>::type b,  ::efl::eolian::in_traits<int>::type a) const;
   ::efl::eolian::return_traits<bool>::type visible_get() const;
   ::efl::eolian::return_traits<void>::type visible_set( ::efl::eolian::in_traits<bool>::type v) const;
   static Efl_Class const* _eo_class()
   {
      return EFL_GFX_INTERFACE;
   }
   Eo* _eo_ptr() const { return *(Eo**)this; }
   operator ::efl::Gfx() const;
   operator ::efl::Gfx&();
   operator ::efl::Gfx const&() const;
   /// @cond LOCAL
    ::efl::eolian::address_of_operator<Gfx> operator&() { return {this}; }
    ::efl::eolian::address_of_operator<Gfx const > operator&() const { return {this}; }
   /// @endcond
};
} 
}
namespace efl { 
struct Gfx : ::efl::eo::concrete
{
   explicit Gfx( ::Eo* eo)
      : ::efl::eo::concrete(eo) {}
   explicit Gfx(std::nullptr_t)
      : ::efl::eo::concrete(nullptr) {}
   Gfx(Gfx const& other) = default;
   Gfx(Gfx&& other) = default;
   Gfx& operator=(Gfx const& other) = default;
   Gfx& operator=(Gfx&& other) = default;
   Gfx()
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, ::efl::eo::concrete{nullptr}, _eo_class());
   }
   Gfx( ::efl::eo::concrete parent)
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, parent, _eo_class());
   }
   template <typename F> Gfx(F f, typename ::std::enable_if< ::efl::eolian::is_callable<F>::value>::type* = 0)
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, ::efl::eo::concrete{nullptr}, _eo_class(), f);
   }
   ::efl::eolian::return_traits<void>::type position_get( ::efl::eolian::out_traits<int>::type x,  ::efl::eolian::out_traits<int>::type y) const;
   ::efl::eolian::return_traits<void>::type position_set( ::efl::eolian::in_traits<int>::type x,  ::efl::eolian::in_traits<int>::type y) const;
   ::efl::eolian::return_traits<void>::type size_get( ::efl::eolian::out_traits<int>::type w,  ::efl::eolian::out_traits<int>::type h) const;
   ::efl::eolian::return_traits<void>::type size_set( ::efl::eolian::in_traits<int>::type w,  ::efl::eolian::in_traits<int>::type h) const;
   ::efl::eolian::return_traits<void>::type geometry_get( ::efl::eolian::out_traits<int>::type x,  ::efl::eolian::out_traits<int>::type y,  ::efl::eolian::out_traits<int>::type w,  ::efl::eolian::out_traits<int>::type h) const;
   ::efl::eolian::return_traits<void>::type geometry_set( ::efl::eolian::in_traits<int>::type x,  ::efl::eolian::in_traits<int>::type y,  ::efl::eolian::in_traits<int>::type w,  ::efl::eolian::in_traits<int>::type h) const;
   ::efl::eolian::return_traits<void>::type color_get( ::efl::eolian::out_traits<int>::type r,  ::efl::eolian::out_traits<int>::type g,  ::efl::eolian::out_traits<int>::type b,  ::efl::eolian::out_traits<int>::type a) const;
   ::efl::eolian::return_traits<void>::type color_set( ::efl::eolian::in_traits<int>::type r,  ::efl::eolian::in_traits<int>::type g,  ::efl::eolian::in_traits<int>::type b,  ::efl::eolian::in_traits<int>::type a) const;
   ::efl::eolian::return_traits<bool>::type color_part_get( ::efl::eolian::in_traits< ::efl::eina::string_view>::type part,  ::efl::eolian::out_traits<int>::type r,  ::efl::eolian::out_traits<int>::type g,  ::efl::eolian::out_traits<int>::type b,  ::efl::eolian::out_traits<int>::type a) const;
   ::efl::eolian::return_traits<bool>::type color_part_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type part,  ::efl::eolian::in_traits<int>::type r,  ::efl::eolian::in_traits<int>::type g,  ::efl::eolian::in_traits<int>::type b,  ::efl::eolian::in_traits<int>::type a) const;
   ::efl::eolian::return_traits<bool>::type visible_get() const;
   ::efl::eolian::return_traits<void>::type visible_set( ::efl::eolian::in_traits<bool>::type v) const;
   static Efl_Class const* _eo_class()
   {
      return EFL_GFX_INTERFACE;
   }
   Eo* _eo_ptr() const { return *(Eo**)this; }
   static struct show_event
   {
      static Efl_Event_Description const* description()
      { return EFL_GFX_EVENT_SHOW; }
      typedef void parameter_type;
   } const show_event;
   static struct hide_event
   {
      static Efl_Event_Description const* description()
      { return EFL_GFX_EVENT_HIDE; }
      typedef void parameter_type;
   } const hide_event;
   static struct move_event
   {
      static Efl_Event_Description const* description()
      { return EFL_GFX_EVENT_MOVE; }
      typedef void parameter_type;
   } const move_event;
   static struct resize_event
   {
      static Efl_Event_Description const* description()
      { return EFL_GFX_EVENT_RESIZE; }
      typedef void parameter_type;
   } const resize_event;
   /// @cond LOCAL
    ::efl::eolian::address_of_operator<Gfx> operator&() { return {this}; }
    ::efl::eolian::address_of_operator<Gfx const > operator&() const { return {this}; }
   /// @endcond
};
static_assert(sizeof(Gfx) == sizeof(Eo*), "");
static_assert(std::is_standard_layout<Gfx>::value, "");
} 
#endif
