#ifndef EFL_INPUT_POINTER_EO_HH
#define EFL_INPUT_POINTER_EO_HH
#include <Eo.h>

extern "C" {
#include "efl_input_device.eo.h"
#include "efl_input_event.eo.h"
#include "efl_input_pointer.eo.h"
#include "efl_input_state.eo.h"
#include "efl_object.eo.h"
}
#include <Eina.hh>
#include <Eo.hh>
#include "efl_input_device.eo.hh"
#include "efl_input_event.eo.hh"
#include "efl_input_state.eo.hh"
#include "efl_object.eo.hh"
namespace efl { namespace input { 
struct Pointer;
} } 
namespace efl { namespace eo { template<> struct is_eolian_object< ::efl::input::Pointer> : ::std::true_type {}; } }
namespace efl { namespace input { 
struct Pointer;
} } 
namespace efl { 
struct Object;
} 
namespace efl { namespace input { 
struct Event;
} } 
namespace efl { namespace input { 
struct Device;
} } 
namespace efl { namespace input { 
struct State;
} } 

namespace eo_cxx {
namespace efl { namespace input { 
struct Pointer {
   ::efl::eolian::return_traits<Efl_Pointer_Action>::type action_get() const;
   ::efl::eolian::return_traits<void>::type action_set( ::efl::eolian::in_traits<Efl_Pointer_Action>::type act) const;
   ::efl::eolian::return_traits<bool>::type value_has_get( ::efl::eolian::in_traits<Efl_Input_Value>::type key) const;
   ::efl::eolian::return_traits<double>::type value_get( ::efl::eolian::in_traits<Efl_Input_Value>::type key) const;
   ::efl::eolian::return_traits<bool>::type value_set( ::efl::eolian::in_traits<Efl_Input_Value>::type key,  ::efl::eolian::in_traits<double>::type val) const;
   ::efl::eolian::return_traits<int>::type button_get() const;
   ::efl::eolian::return_traits<void>::type button_set( ::efl::eolian::in_traits<int>::type but) const;
   ::efl::eolian::return_traits<bool>::type button_pressed_get( ::efl::eolian::in_traits<int>::type button) const;
   ::efl::eolian::return_traits<void>::type button_pressed_set( ::efl::eolian::in_traits<int>::type button,  ::efl::eolian::in_traits<bool>::type pressed) const;
   ::efl::eolian::return_traits<void>::type position_get( ::efl::eolian::out_traits<int>::type x,  ::efl::eolian::out_traits<int>::type y) const;
   ::efl::eolian::return_traits<void>::type position_set( ::efl::eolian::in_traits<int>::type x,  ::efl::eolian::in_traits<int>::type y) const;
   ::efl::eolian::return_traits<void>::type previous_position_get( ::efl::eolian::out_traits<int>::type x,  ::efl::eolian::out_traits<int>::type y) const;
   ::efl::eolian::return_traits<void>::type previous_position_set( ::efl::eolian::in_traits<int>::type x,  ::efl::eolian::in_traits<int>::type y) const;
   ::efl::eolian::return_traits<void>::type delta_get( ::efl::eolian::out_traits<int>::type dx,  ::efl::eolian::out_traits<int>::type dy) const;
   ::efl::eolian::return_traits<int>::type tool_get() const;
   ::efl::eolian::return_traits<void>::type tool_set( ::efl::eolian::in_traits<int>::type id) const;
   ::efl::eolian::return_traits< ::efl::Object>::type source_get() const;
   ::efl::eolian::return_traits<void>::type source_set( ::efl::eolian::in_traits< ::efl::Object>::type src) const;
   ::efl::eolian::return_traits<Efl_Pointer_Flags>::type button_flags_get() const;
   ::efl::eolian::return_traits<void>::type button_flags_set( ::efl::eolian::in_traits<Efl_Pointer_Flags>::type flags) const;
   ::efl::eolian::return_traits<bool>::type double_click_get() const;
   ::efl::eolian::return_traits<void>::type double_click_set( ::efl::eolian::in_traits<bool>::type val) const;
   ::efl::eolian::return_traits<bool>::type triple_click_get() const;
   ::efl::eolian::return_traits<void>::type triple_click_set( ::efl::eolian::in_traits<bool>::type val) const;
   ::efl::eolian::return_traits<Efl_Orient>::type wheel_direction_get() const;
   ::efl::eolian::return_traits<void>::type wheel_direction_set( ::efl::eolian::in_traits<Efl_Orient>::type dir) const;
   ::efl::eolian::return_traits<int>::type wheel_delta_get() const;
   ::efl::eolian::return_traits<void>::type wheel_delta_set( ::efl::eolian::in_traits<int>::type dist) const;
   static Efl_Class const* _eo_class()
   {
      return EFL_INPUT_POINTER_CLASS;
   }
   Eo* _eo_ptr() const { return *(Eo**)this; }
   operator ::efl::input::Pointer() const;
   operator ::efl::input::Pointer&();
   operator ::efl::input::Pointer const&() const;
   /// @cond LOCAL
    ::efl::eolian::address_of_operator<Pointer,  ::efl::Object,  ::efl::input::Event,  ::efl::input::State> operator&() { return {this}; }
    ::efl::eolian::address_of_operator<Pointer const ,  ::efl::Object const ,  ::efl::input::Event const ,  ::efl::input::State const > operator&() const { return {this}; }
   /// @endcond
};
} } 
}
namespace efl { namespace input { 
struct Pointer : ::efl::eo::concrete
   , EO_CXX_INHERIT( ::efl::Object)
   , EO_CXX_INHERIT( ::efl ::input::Event)
   , EO_CXX_INHERIT( ::efl ::input::State)
{
   explicit Pointer( ::Eo* eo)
      : ::efl::eo::concrete(eo) {}
   explicit Pointer(std::nullptr_t)
      : ::efl::eo::concrete(nullptr) {}
   Pointer(Pointer const& other) = default;
   Pointer(Pointer&& other) = default;
   Pointer& operator=(Pointer const& other) = default;
   Pointer& operator=(Pointer&& other) = default;
   Pointer()
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, ::efl::eo::concrete{nullptr}, _eo_class());
   }
   Pointer( ::efl::eo::concrete parent)
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, parent, _eo_class());
   }
   template <typename F> Pointer(F f, typename ::std::enable_if< ::efl::eolian::is_callable<F>::value>::type* = 0)
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, ::efl::eo::concrete{nullptr}, _eo_class(), f);
   }
   ::efl::eolian::return_traits<Efl_Pointer_Action>::type action_get() const;
   ::efl::eolian::return_traits<void>::type action_set( ::efl::eolian::in_traits<Efl_Pointer_Action>::type act) const;
   ::efl::eolian::return_traits<bool>::type value_has_get( ::efl::eolian::in_traits<Efl_Input_Value>::type key) const;
   ::efl::eolian::return_traits<double>::type value_get( ::efl::eolian::in_traits<Efl_Input_Value>::type key) const;
   ::efl::eolian::return_traits<bool>::type value_set( ::efl::eolian::in_traits<Efl_Input_Value>::type key,  ::efl::eolian::in_traits<double>::type val) const;
   ::efl::eolian::return_traits<int>::type button_get() const;
   ::efl::eolian::return_traits<void>::type button_set( ::efl::eolian::in_traits<int>::type but) const;
   ::efl::eolian::return_traits<bool>::type button_pressed_get( ::efl::eolian::in_traits<int>::type button) const;
   ::efl::eolian::return_traits<void>::type button_pressed_set( ::efl::eolian::in_traits<int>::type button,  ::efl::eolian::in_traits<bool>::type pressed) const;
   ::efl::eolian::return_traits<void>::type position_get( ::efl::eolian::out_traits<int>::type x,  ::efl::eolian::out_traits<int>::type y) const;
   ::efl::eolian::return_traits<void>::type position_set( ::efl::eolian::in_traits<int>::type x,  ::efl::eolian::in_traits<int>::type y) const;
   ::efl::eolian::return_traits<void>::type previous_position_get( ::efl::eolian::out_traits<int>::type x,  ::efl::eolian::out_traits<int>::type y) const;
   ::efl::eolian::return_traits<void>::type previous_position_set( ::efl::eolian::in_traits<int>::type x,  ::efl::eolian::in_traits<int>::type y) const;
   ::efl::eolian::return_traits<void>::type delta_get( ::efl::eolian::out_traits<int>::type dx,  ::efl::eolian::out_traits<int>::type dy) const;
   ::efl::eolian::return_traits<int>::type tool_get() const;
   ::efl::eolian::return_traits<void>::type tool_set( ::efl::eolian::in_traits<int>::type id) const;
   ::efl::eolian::return_traits< ::efl::Object>::type source_get() const;
   ::efl::eolian::return_traits<void>::type source_set( ::efl::eolian::in_traits< ::efl::Object>::type src) const;
   ::efl::eolian::return_traits<Efl_Pointer_Flags>::type button_flags_get() const;
   ::efl::eolian::return_traits<void>::type button_flags_set( ::efl::eolian::in_traits<Efl_Pointer_Flags>::type flags) const;
   ::efl::eolian::return_traits<bool>::type double_click_get() const;
   ::efl::eolian::return_traits<void>::type double_click_set( ::efl::eolian::in_traits<bool>::type val) const;
   ::efl::eolian::return_traits<bool>::type triple_click_get() const;
   ::efl::eolian::return_traits<void>::type triple_click_set( ::efl::eolian::in_traits<bool>::type val) const;
   ::efl::eolian::return_traits<Efl_Orient>::type wheel_direction_get() const;
   ::efl::eolian::return_traits<void>::type wheel_direction_set( ::efl::eolian::in_traits<Efl_Orient>::type dir) const;
   ::efl::eolian::return_traits<int>::type wheel_delta_get() const;
   ::efl::eolian::return_traits<void>::type wheel_delta_set( ::efl::eolian::in_traits<int>::type dist) const;
   static Efl_Class const* _eo_class()
   {
      return EFL_INPUT_POINTER_CLASS;
   }
   Eo* _eo_ptr() const { return *(Eo**)this; }
   /// @cond LOCAL
    ::efl::eolian::address_of_operator<Pointer,  ::efl::Object,  ::efl::input::Event,  ::efl::input::State> operator&() { return {this}; }
    ::efl::eolian::address_of_operator<Pointer const ,  ::efl::Object const ,  ::efl::input::Event const ,  ::efl::input::State const > operator&() const { return {this}; }
   /// @endcond
};
static_assert(sizeof(Pointer) == sizeof(Eo*), "");
static_assert(std::is_standard_layout<Pointer>::value, "");
} } 
#endif
